✨ Get entity state history
Authentication
AuthorizationToken
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:
curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”Path parameters
entity_id
entity_name
Query parameters
created_at_from
Filter for state history items created at or after the ISO 8601 formatted date (YYYY-MM-DDTHH:MM:SS)
created_at_to
Filter for state history items created at or before the ISO 8601 formatted date (YYYY-MM-DDTHH:MM:SS)
ordering
Which field to use when ordering the results.
page
A page number within the paginated result set.
page_size
Number of results to return per page.
previous_state
Filter previous_state by exact match (case-insensitive)
state
Filter state by exact match (case-insensitive)
transition_name
Filter transition_name by exact match (case-insensitive)
triggered_by
Filter triggered_by by exact match
Response
count
results
next
previous